document.addEventListener('DOMContentLoaded', () => {
  // Theme toggle functionality
  const themeToggle = document.querySelector('.theme-toggle');
  const body = document.body;
  
  themeToggle.addEventListener('click', () => {
    body.classList.toggle('dark-mode');
    themeToggle.textContent = body.classList.contains('dark-mode') ? '☀️' : '🌙';
    saveThemePreference();
  });

  // Load saved theme preference
  if (localStorage.getItem('theme') === 'dark') {
    body.classList.add('dark-mode');
    themeToggle.textContent = '☀️';
  }

  // Auto-save functionality
  const inputs = document.querySelectorAll('input, textarea, select');
  inputs.forEach(input => {
    // Load saved values
    const savedValue = localStorage.getItem(input.id);
    if (savedValue) {
      input.value = savedValue;
    }

    // Save on input
    input.addEventListener('input', () => {
      localStorage.setItem(input.id, input.value);
    });
  });

  // Save theme preference
  function saveThemePreference() {
    localStorage.setItem('theme', body.classList.contains('dark-mode') ? 'dark' : 'light');
  }
});
